List watchlisted TV shows
curl --request GET \
--url 'https://api.themoviedb.org/3/account/{{account_id}}/watchlist/tv' \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.themoviedb.org/3/account/{{account_id}}/watchlist/tv"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.themoviedb.org/3/account/{{account_id}}/watchlist/tv', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"page": 1,
"results": [
{
"adult": false,
"backdrop_path": "/lBoHzOgft2QfpjkVVvZCqeM4ttT.jpg",
"first_air_date": "2024-11-17",
"genre_ids": [
10765,
18,
10759
],
"id": 90228,
"name": "Dune: Prophecy",
"origin_country": [
"US"
],
"original_language": "en",
"original_name": "Dune: Prophecy",
"overview": "Ten thousand years before the ascension of Paul Atreides, sisters Valya and Tula Harkonnen establish the fabled sect and female order that would become known as the Bene Gesserit to control the future of humankind.",
"popularity": 1001.067,
"poster_path": "/5B8Cxz8ZZXp3w2WmmdKTXpkS24e.jpg",
"vote_average": 7.9,
"vote_count": 112
}
],
"total_pages": 1,
"total_results": 1
}Account
List watchlisted TV shows
This endpoint allows you to get a list of TV shows added to a user’s watchlist.
GET
/
account
/
{account_id}
/
watchlist
/
tv
List watchlisted TV shows
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Query Parameters
language format of the details you want to get.
Example:
"en-US"
what page the query belongs
Example:
"1"
filter the query by ascending or descending order
Example:
"created_at.asc"
filter by the user session ID
Example:
"string"
Response
200 - application/json
Watchlist TV
Example:
1
Show child attributes
Show child attributes
Example:
[
{
"adult": false,
"backdrop_path": "/lBoHzOgft2QfpjkVVvZCqeM4ttT.jpg",
"first_air_date": "2024-11-17",
"genre_ids": [10765, 18, 10759],
"id": 90228,
"name": "Dune: Prophecy",
"origin_country": ["US"],
"original_language": "en",
"original_name": "Dune: Prophecy",
"overview": "Ten thousand years before the ascension of Paul Atreides, sisters Valya and Tula Harkonnen establish the fabled sect and female order that would become known as the Bene Gesserit to control the future of humankind.",
"popularity": 1001.067,
"poster_path": "/5B8Cxz8ZZXp3w2WmmdKTXpkS24e.jpg",
"vote_average": 7.9,
"vote_count": 112
}
]
Example:
1
Example:
1
⌘I